import request from '@/utils/request'

// 查询客户电子会员卡（储蓄卡）列表
export function listCard(query) {
  return request({
    url: '/customer/card/list',
    method: 'get',
    params: query
  })
}

// 查询客户电子会员卡（储蓄卡）列表
export function listSum(query) {
  return request({
    url: '/customer/card/listSum',
    method: 'get',
    params: query
  })
}
// 查询客户电子会员卡（储蓄卡）列表
export function selectCard(query) {
  return request({
    url: '/customer/card/selectCard',
    method: 'get',
    params: query
  })
}


// 查询客户电子会员卡（储蓄卡）详细
export function getCard(id) {
  return request({
    url: '/customer/card/' + id,
    method: 'get'
  })
}

// 新增客户电子会员卡（储蓄卡）
export function addCard(data) {
  return request({
    url: '/customer/card',
    method: 'post',
    data: data
  })
}

// 修改客户电子会员卡（储蓄卡）
export function updateCard(data) {
  return request({
    url: '/customer/card',
    method: 'put',
    data: data
  })
}

// 删除客户电子会员卡（储蓄卡）
export function delCard(id) {
  return request({
    url: '/customer/card/' + id,
    method: 'delete'
  })
}

// 导出客户电子会员卡（储蓄卡）
export function exportCard(query) {
  return request({
    url: '/customer/card/export',
    method: 'get',
    params: query
  })
}